<?
if (isset($ID)) {
  $ank = $sql -> fetch('SELECT * FROM `users` WHERE `id` = ' . $ID);
} elseif ($level > 0) {
  $ank = $user;
} else {
  die('Ошибка: Продавца не существует');
}

if ($level > 2) {
if (isset($_GET['truncate'])) {
  $sql -> update("UPDATE `shop_goods` SET `active` = '2' WHERE `id_user` = '".$ank['id']."' ");
  $_SESSION['message'] = 'Товары успешно заблокированы';
  header('Location: /seller/'.$ank['my_links']);
  exit;
}
if (isset($_GET['no_truncate'])) {
  $sql -> update("UPDATE `shop_goods` SET `active` = '1' WHERE `id_user` = '".$ank['id']."' ");
  $_SESSION['message'] = 'Товары успешно разблокированы';
  header('Location: /seller/'.$ank['my_links']);
  exit;
}
}

$system['title'] = 'Товары ' . login($ank['id'], 0);
require SYS . 'header.php';

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `shop_goods` WHERE `id_user` = '$ank[id]' AND `unlink` = '0'");
$k_page = k_page($k_post, $system['page_str']);
$page = page($k_page);
$start =  $system['page_str'] * $page -  $system['page_str'];
//AND `active` != '2'
if ($k_post == 0) {
?>
  <div class="alert" style="margin: 2px;">Список товаров пуст</div>
<?
} else {
  $array = $sql -> select("SELECT * FROM `shop_goods` WHERE `id_user` = '$ank[id]'  AND `unlink` = '0' ORDER BY `id` ASC LIMIT $start, $system[page_str]");

  foreach ($array AS $post) {
    if ($post['screens']) {
      $screen = unserialize($post['screens']);
      if (is_file(SRC . 'screen/shop/' . $screen[0] . '.png')) {
        $_src = '/_src/img.php?link=' . base64_encode(SRC.'screen/shop/' . $screen[0] . '.png') . '&type=1';
      }
    } else {
      $_src = '/_src/img.php?link=' . base64_encode(ROOT.'_images/images/no_image.png') . '&type=1';
    }


?>
    <div class="media <?= ($num % 2 ? "nav1" : "nav2")?>">
      <img src="<?= $_src?>" class="img-polaroid pull-left" /> 
      <div class="media-body"><a href="/goods/<?= $post['id']?>" class="media-heading"><?= text($post['name'])?></a> <br />
      <span class="on"><b><?= $post['wmr']?></b> wmr</span><br /> 

<?
 if($post['active']==2)echo '<font color="red"><b>Заблокирован</b></font>';
 if($post['active']==1)echo '<span class="on"><b>Одобрен</b></span>';
 if($post['active']==0)echo '<font color="blue"><b>На Модерации</b></font>';
?>

      </div>
    </div>
<?
  }
  
  if ($k_page > 1) { 
    str('/seller/' . $ank['my_links'] . '&amp;', $k_page, $page);
  }
}
if ($level >2){?><div class='foot'>&raquo; <a href='/seller/<?= $ank['my_links']?>&amp;truncate'>Блок товаров</a></div><?}

if ($level >2){?><div class='foot'>&raquo; <a href='/seller/<?= $ank['my_links']?>&amp;no_truncate'>Разблок товаров</a></div><?}

if ($user['id'] == $ank['id']){
?>
<div class="alert" style="margin: 2px;">
<?= __('Каждый приведенный вами покупатель/продавец, закрепляется за Вами навсегда! С каждой его покупки или продажи, вам будет отчисляться 3% от стоимости товара.')?><br />
<?= __('Для привлечения реферала, вам достаточно дать ссылку на свою страницу, на страницу с Вашими товарами или скопировать ссылку товара, на странице с товаром.')?><br />
 <?= __('Ссылка на Вашу страницу товаров')?>:<br />
 <input type="text" value="http://<?= text($_SERVER['HTTP_HOST'])?>/seller/<?= $user['my_links']?>" />
</div>
<?}?>
<div class="foot">
&laquo; <a href="/wm/<?= $ank['my_links']?>">На страницу анкеты</a>
</div>